import java.util.Calendar;
import java.util.Vector;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.reportorganizer.organizerAPI.QbOrganizer;
import quadbase.reportorganizer.organizerAPI.QbScheduleObject;
import quadbase.reportorganizer.organizerAPI.QbSchedulePackage;

public class SchedulingExportParamReportOneTimeERES {

	// set following constants, your ERES server must be runnning!
	static final String ServletRunner = "http://localhost:8080";
	static final String ServletContext = "ERES/servlet";

	public static void main(String[] args) {
		SchedulingExportParamReportOneTimeERES doScheduleExport = new SchedulingExportParamReportOneTimeERES();
		try {
			doScheduleExport.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		QbOrganizer.setServletContext(ServletContext);
		QbOrganizer.setServletRunner(ServletRunner);
		QbOrganizer organizer = new QbOrganizer(null, "admin", "admin");

		QbSchedulePackage sPack = new QbSchedulePackage("ParamReport_OneTime", organizer);
		sPack.setReportExportType(IExportConstants.DHTML);
		sPack.setTaskOption(QbSchedulePackage.ONE_TIME);
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 5);
		sPack.setStartDate(calendar.getTimeInMillis());
		sPack.setSendEmail(false);

		QbScheduleObject sObj = new QbScheduleObject("report1",
				QbScheduleObject.TEMPLATE_TYPE_REPORT, sPack);
		//Single Param Report
		sObj.setFileLocation("EmployeeDetails.pak");
		String exportLocation = sObj.pickDefaultExportLocation();
		//1st param set {"Denise Carron"}
		Object tmp1[] = { "Denise Carron" };
		//2nd param set {"Frank Carnody"}
		Object tmp2[] = { "Frank Carnody" };
		Vector paramList = new Vector();
		paramList.addElement(tmp1);
		paramList.addElement(tmp2);
		sObj.setParamList(paramList);

		organizer.getScheduler().addSchedulePackageTask(sPack);
	}
}
